bl_info = {
    'name': 'Quick Font Pro',
    'description': 'Quick Font Pro for Blender',
    'author': 'RusselStudios',
    'version': (1, 2),
    'blender': (2, 80, 0),
    'location': '3D View > Sidebar',
    'category': 'Quick Font Pro',
}


from . import previews, ops, ui, fm_props, installationPrefs

modules = (
    previews,
    ops,
    ui,
    fm_props,
    installationPrefs,
)


def register():
    for module in modules:
        module.register()


def unregister():
    for module in reversed(modules):
        module.unregister()
