import bpy
from .install_dependencies import FM_OT_bip_showcase_install_dependencies
from .operators import FM_OT_apply_font, FM_OT_visit_next, FM_OT_visit_prev, FM_OT_download_font, FM_OT_font_info, FM_OT_jump_to_page, FM_OT_category, FM_OT_font_use, FM_OT_apply_filters, FM_OT_favourite, FM_OT_delete

classes = (
    FM_OT_bip_showcase_install_dependencies,
    FM_OT_apply_font,
    FM_OT_visit_next,
    FM_OT_visit_prev,
    FM_OT_download_font,
    FM_OT_font_info,
    FM_OT_jump_to_page,
    FM_OT_category,
    FM_OT_font_use,
    FM_OT_apply_filters,
    FM_OT_favourite,
    FM_OT_delete
)


def register():
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)
